getwd()
setwd("C:/Users/LAB/Desktop/Vi/Disciplina R/Construo de funcoes simples")

################################ Exerccio 9.2 #################################

# Criao dos vetores y e x (usados como exeplos para elaborao da funo)

y <- rnorm(200, mean = 4, sd = 2)
x <- 20 + y/2 + runif(200, min = -1, max = 1)

analise_expl <- function (x,y) {

# Funo para sada de grficos de anlise exploratria. 

# summrio das variveis:
# mnimo, mediana, mximo, mdia, 1 e 3 quartil -> summary()
# desvio padro -> sd()

resumo <- data.frame(x = c(summary(x),"Mean" = mean(x),"Sd" = sd(x)), 
                       y = c(summary(y),"Mean" = mean(y),"Sd" = sd(y)))
      
# boxplot contendo as duas variveis -> boxplot()
par(mfrow = c(2,2))
boxplotxy <- boxplot(x, y, names = c("x", "y")) 

# histograma contendo as duas variveis -> multhist()
install.packages("plotrix")
library("plotrix")
histxy <- multhist(x = list(x,y), col = c("black", "grey"), legend.text = c("x", "y"))

# plot y~x -> plot()
plotxy <- plot(y~x, pch = 20, tcl = -0.5)
abline(a = coef(lm(y~x))[1], b = coef(lm(y~x))[2])

# coeficiente de correlao + intercepto -> coef()
coeficientes <- c(coef(lm(y~x))[1], coef(lm(y~x))[2])

# qq norm para x e y -> qqnorm()
par(mfrow = c(1,2))
qqx <- qqnorm(x, xlab = "Quantis tericos", ylab = "Quantis da amostra x", pch = 20, 
       col = c("black"))
qqline(x)
qqy <- qqnorm(y, xlab = "Quantis tericos", ylab = "Quantis da amostra y ", pch = 20, 
       col = c("grey"))
qqline(y)

return(list("resumo" = resumo, "coeficiente" = coeficientes, "qqplotx" = qqx, 
            "qqplotx" = qqy, "plotx~y" = plotxy, "plothist" = histxy, 
            "boxplotxy" = boxplotxy))

} 

# Teste da funo
dados <- analise_expl(x = rnorm(100, mean = 4, sd = 1), y = rnorm(100, mean = 0, sd = 2))

