library(MASS)
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anova(anim.m0,anim.m2)

# 107.2.1
# Os comandos anova(anim.m0,anim.m2) e anova(anim.m2) resultam na mesma resposta (neste caso!). Isso pois, por default, no segundo comando, o R compara o modelo fornecido ("anim.m2"), com um modelo neutro, no qual no h relao entre as variveis apresentadas, ou seja massa cerebral no  relacionada  massa corprea. J o primeiro comando compara dois modelos apresentados. Como o modelo usado para se comparar com anim.m2 foi, no exemplo, o prprio modelo neutro, o resultado dos dois comandos  identico.

# 107.2.2
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

# Em um modelo neutro, como no h relao entre a varivel x e y, o intercepto da reta de regresso entre estas  justamente a mdia dos valores de y. De modo similar, o desvio padro da mesma reta de regresso corresponde ao erro dos resduos. 
