setwd("C:/Users/LAB/Desktop/Vi/Disciplina R/Reamostragem e simulao")
dir()

################################## Exerccio 1 ##################################

eutad <- read.table("palmadulto.csv", sep = "\t", dec = ".", header = TRUE )
head(eutad)
str(eutad)
dist=matrix(NA, ncol=102, nrow=102)

for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}

head(dist)
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

resultado <- rep(NA, 1000)
head(resultado)
resultado[1] <- mnn
head(resultado)

distsim=matrix(NA, ncol=102, nrow=102)

for(n in 2:1000)
{
  xsim <- round(runif(min = 0, max = 320, n = 102))
  ysim <- round(runif(min = 0, max = 320, n = 102))
  
  for(i in 1:101)
  {
    for(j in (i+1):102)
    {
      difx2sim=(xsim[i]-xsim[j])^2
      dify2sim=(ysim[i]-ysim[j])^2
      distsim[i,j]<-sqrt(difx2sim + dify2sim)
      distsim[j,i]<-sqrt(difx2sim + dify2sim)
    }
  }
  head(distsim)
  (nnsim<-apply(distsim, 1, min, na.rm = TRUE))
  (resultado[n]<-mean(nnsim))
  
}

# histograma as mdias das distncias mnimas entre vizinhos nas 1000 simulaes
hist(resultado)
abline(v = resultado[1], col = "red")

# teste bicaudal (distribuio aleatria dos palmitos pode ser rejeitada?)
resultado0 <- resultado - mean(resultado)
hist(resultado0)
abline (v = resultado0[1], col = "red")
pvalor <- sum(abs(resultado0)>=(abs(resultado0[1])))/length(resultado0)

# Concluso: A distribuio de palmitos dificilmente foi gerada por uma distribuio
# espacial aleatria. 

################################## Exerccio 2 ##################################

dir()
dados <- read.table("brainsize.csv", sep = ";", dec = ",", header = TRUE)
head(dados)

# Retirado dos valores NA
sum(is.na(dados$body))
sum(is.na(dados$brain))
which(is.na(dados$brain))
dados[which(is.na(dados$brain)),]

str(dados)
dados <- dados[-c(which(is.na(dados$brain))),]
str(dados)
plot(log(dados$brain), log(dados$body))

# Clculo da inclinao da relao log(brain) ~log(body)
xi <- log(dados$body)
xmed <- mean(log(dados$body))
yi <- log(dados$brain)
ymed <- mean(log(dados$brain))

beta <- (sum((xi-xmed)*(yi-ymed)))/sum((xi-xmed)^2)

# Confirmao do clculo de beta e guardando o resultado
beta.dados <- coef(lm(yi ~ xi))[2]

# Criando vetor de resultados de beta das simulaes
beta.sim <- rep(NA, 1000)
beta.sim[1] <- beta
head(beta.sim)

for (i in 2:1000) {
  sim_brain <- data.frame("body" = dados$body, 
                          "brain" = sample(dados$brain,length(dados$brain)))
  modelo <- lm(log(sim_brain$brain) ~ log(sim_brain$body))
  beta.sim[i] <- coef(modelo)[2]

}

head(beta.sim)

# plot do histograma de pseudo valores de beta e beta observado
hist(beta.sim)
abline(v = beta.sim[1], col = "red")

# Clculo do pvalor (teste  bicaudal)
z <- sum(beta.sim >= beta.sim[1]| beta.sim <= (beta.sim[1]*-1))
pvalor = z/length(beta.sim)

# Concluso: A correlao encontrada entre massa corprea e massa cerebral no pode
# ser explicada ao acaso, logo, conclui-se que a massa deste orgo pode ser, ao 
# menos parcialmente explicada pela massa do animal. 




